The importance of keeping your website up to date

29th July 2014 Business 95
The importance of keeping your website up to date

WordPress is a complex piece of software made up of tens of thousands of lines of code. Unfortunately, as with every piece of software created, bugs exist in the code, many of which can cause major problems and errors. The WordPress team have worked hard to squash these bugs, releasing dozens of updates filled with bug fixes.

By updating to the newest version of WordPress, you will greatly reduce the chances of running into a crippling bug that may cause problems.

Security is also a major issue with WordPress sites. Any software that is as popular as WordPress will become a target for hackers. Unfortunately sometimes, a bug will be found that hackers can use to their advantage to access and/or deface a WordPress installation. While the WordPress team are quick to react to these security exploits, often releasing an update containing a quick fix for the problem, sites that continue to run the old versions of WordPress will still be susceptible to attacks from savvy hackers who abuse the security hole.

It’s important to update to the newest versions of WordPress to ensure that your WordPress sites are secure against potential attacks from hackers.

Likewise, WordPress plugins are susceptible to bugs and security issues, too. Plugin developer teams often release updates for their plugins filled with bug and security fixes.

Make sure to update your plugins regularly to minimise the number of bugs in your plugins and to keep your WordPress site safe against potential attacks from hackers.

Code bugThis weekend it was reported that a remote file upload vulnerability had been found in a WordPress plugin called “Mailpoet”, aka Wysija Newsletters. First discovered at the beginning of July 2014, the bug allows a hacker to upload any file remotely to any website that has this vulnerability.

It has been strongly recommended that all WordPress users update to the latest version of this plugin at the earliest opportunity to avoid any security infiltration's.

For more information, see www.mailpoet.com/blog.

Mailpoet is not the only WordPress plugin that has had vulnerabilities exploited in the past, there are a number of others.

Take action now

For a limited period, we are offering our customers a "check and update" service for the small fee of £50.

The service will entail us doing the following:
[list]

  • Backup - We take a full backup of all your website files first
  • Scanning - We check your website for any security vulnerabilities
  • Updating - We apply an updates to the core WordPress files
  • Updating - We apply any plugin updates that are relevant to your website
[/list]

For more information, or to arrange for us to start updates on your website, call now on 0844 66 46 091 or send us a message by going to our contact page.

Leave a comment